IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_gen_remitenteCorreo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_gen_remitenteCorreo]
GO
CREATE PROCEDURE [reg_gen_remitenteCorreo]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[remitenteCorreo] AS [remitenteCorreo],
		[remitenteCorreo_codigo] AS [remitenteCorreo_codigo],
		[servidor] AS [servidor],
		[certificado] AS [certificado],
		[puerto] AS [puerto],
		[credenciales] AS [credenciales]
	FROM [gen_remitenteCorreo]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_gen_remitenteCorreo]')) DROP VIEW [dbo].[view_gen_remitenteCorreo]
GO
CREATE  VIEW [view_gen_remitenteCorreo] AS
SELECT 	[gen_remitenteCorreo].[id] AS [id],
		[gen_remitenteCorreo].[uid] AS [uid],
		[gen_remitenteCorreo].[eid] AS [eid],
		[gen_remitenteCorreo].[id_usuario_modifico] AS [id_usuario_modifico],
		[gen_remitenteCorreo].[id_usuario_creo] AS [id_usuario_creo],
		[gen_remitenteCorreo].[fechaModificacion] AS [fechaModificacion],
		[gen_remitenteCorreo].[fechaCreacion] AS [fechaCreacion],
		[gen_remitenteCorreo].[active] AS [active],
		[gen_remitenteCorreo].[remitenteCorreo] AS [remitenteCorreo],
		[gen_remitenteCorreo].[remitenteCorreo_codigo] AS [remitenteCorreo_codigo],
		[gen_remitenteCorreo].[servidor] AS [servidor],
		[gen_remitenteCorreo].[certificado] AS [certificado],
		[gen_remitenteCorreo].[puerto] AS [puerto],
		[gen_remitenteCorreo].[credenciales] AS [credenciales],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [gen_remitenteCorreo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[gen_remitenteCorreo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[gen_remitenteCorreo].[id_usuario_creo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [gen_remitenteCorreo].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [gen_remitenteCorreo].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreosXusuario_modifico]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_gen_remitenteCorreo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreosXusuario_creo]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_gen_remitenteCorreo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreos]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_gen_remitenteCorreo]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_gen_remitenteCorreos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_gen_remitenteCorreos]
GO
CREATE PROCEDURE [lis_gen_remitenteCorreos]
	AS
BEGIN
	SELECT id AS id,
[remitenteCorreo] AS [gen_remitenteCorreo]
	FROM [gen_remitenteCorreo]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_gen_remitenteCorreo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_gen_remitenteCorreo]
GO
CREATE PROCEDURE [upd_gen_remitenteCorreo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_remitenteCorreo varchar(300) = null,
		@p_remitenteCorreo_codigo varchar(100) = null,
		@p_servidor varchar(200) = null,
		@p_certificado bit = null,
		@p_puerto varchar(100) = null,
		@p_credenciales varchar(200) = null
AS
BEGIN
		UPDATE [gen_remitenteCorreo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[remitenteCorreo] = isnull(@p_remitenteCorreo,[remitenteCorreo]),
			[remitenteCorreo_codigo] = isnull(@p_remitenteCorreo_codigo,[remitenteCorreo_codigo]),
			[servidor] = isnull(@p_servidor,[servidor]),
			[certificado] = isnull(@p_certificado,[certificado]),
			[puerto] = isnull(@p_puerto,[puerto]),
			[credenciales] = isnull(@p_credenciales,[credenciales])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_gen_remitenteCorreo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_gen_remitenteCorreo]
GO
CREATE PROCEDURE [ins_gen_remitenteCorreo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_remitenteCorreo varchar(300),
		@p_remitenteCorreo_codigo varchar(100),
		@p_servidor varchar(200),
		@p_certificado bit,
		@p_puerto varchar(100),
		@p_credenciales varchar(200)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [gen_remitenteCorreo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[remitenteCorreo],
			[remitenteCorreo_codigo],
			[servidor],
			[certificado],
			[puerto],
			[credenciales])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_remitenteCorreo,
			@p_remitenteCorreo_codigo,
			@p_servidor,
			@p_certificado,
			@p_puerto,
			@p_credenciales)
		SET @v_id = scope_identity()
UPDATE [gen_remitenteCorreo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_gen_remitenteCorreo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_gen_remitenteCorreo]
GO
CREATE PROCEDURE [act_gen_remitenteCorreo]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [gen_remitenteCorreo]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_gen_remitenteCorreo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_gen_remitenteCorreo_m]
GO
CREATE PROCEDURE [reg_gen_remitenteCorreo_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[remitenteCorreo] AS [remitenteCorreo],
		[remitenteCorreo_codigo] AS [remitenteCorreo_codigo],
		[servidor] AS [servidor],
		[certificado] AS [certificado],
		[puerto] AS [puerto],
		[credenciales] AS [credenciales]
	FROM [gen_remitenteCorreo]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_gen_remitenteCorreo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_gen_remitenteCorreo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_gen_remitenteCorreos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_gen_remitenteCorreos_m]
GO
CREATE PROCEDURE [sel_gen_remitenteCorreos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_gen_remitenteCorreo]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_gen_remitenteCorreos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_gen_remitenteCorreos_m]
GO
CREATE PROCEDURE [lis_gen_remitenteCorreos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[remitenteCorreo] AS [gen_remitenteCorreo]
	FROM [gen_remitenteCorreo]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_gen_remitenteCorreo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_gen_remitenteCorreo]
GO
CREATE PROCEDURE [aud_gen_remitenteCorreo]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [gen_remitenteCorreo].id as id_tabla,
	[gen_remitenteCorreo].id_usuario_modifico as id_usuario_modifico,
	[gen_remitenteCorreo].id_usuario_creo as id_usuario_creo,
	[gen_remitenteCorreo].fechaModificacion as fechaModificacion,
	[gen_remitenteCorreo].fechaCreacion as fechaCreacion,
	[gen_remitenteCorreo].active as active,
	[gen_remitenteCorreo].[remitenteCorreo] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [gen_remitenteCorreo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[gen_remitenteCorreo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[gen_remitenteCorreo].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'gen_remitenteCorreo'
-----------------------------------29/06/21 19:04:47